@import url("https://fonts.googleapis.com/css2?family=Kaushan+Script&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Cairo:wght@300;454&display=swap");

:root {
  /* dark shades of primary color*/
  --clr-primary: #8b5d3c;
  --clr-primary-1: #fbf9f5;
  --clr-primary-2: hsl(21, 84%, 25%);
  --clr-primary-3: hsl(21, 81%, 29%);
  --clr-primary-4: hsl(21, 77%, 34%);
  /* primary/main color */
  --clr-primary-5: hsl(21, 62%, 45%);
  /* lighter shades of primary color */
  --clr-primary-6: hsl(21, 57%, 50%);
  --clr-primary-7: hsl(21, 65%, 59%);
  --clr-primary-8: hsl(21, 80%, 74%);
  --clr-primary-9: hsl(21, 94%, 87%);
  --clr-primary-10: hsl(21, 100%, 94%);
  /* darkest grey - used for headings */
  --clr-grey-1: #102a42;
  --clr-grey-2: hsl(211, 39%, 23%);
  --clr-grey-3: hsl(209, 34%, 30%);
  --clr-grey-4: hsl(209, 28%, 39%);
  /* grey used for paragraphs */
  --clr-grey-5: hsl(210, 22%, 49%);
  --clr-grey-6: hsl(209, 23%, 60%);
  --clr-grey-7: hsl(211, 27%, 70%);
  --clr-grey-8: hsl(210, 31%, 80%);
  --clr-grey-9: hsl(212, 33%, 89%);
  --clr-grey-10: hsl(210, 36%, 96%);
  --clr-white: #fff;
  --clr-red-dark: hsl(360, 67%, 44%);
  --clr-red-light: hsl(360, 71%, 66%);
  --clr-green-dark: hsl(125, 67%, 44%);
  --clr-green-light: hsl(125, 71%, 66%);
  --clr-black: #222;
  --ff-primary: "Cairo", sans-serif;
  --transition: all 0.3s linear;
  --spacing: 0.1rem;
  --radius: 0.25rem;
  --light-shadow: 0 5px 15px rgba(0, 0, 0, 0.1);
  --dark-shadow: 0 5px 15px rgba(0, 0, 0, 0.2);
  --max-width: 1170px;
  --fixed-width: 620px;
}
/*
=============== 
Global Styles
===============
*/

*,
::after,
::before {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body {
  font-family: var(--ff-primary);
  color: var(--clr-grey-1);
  line-height: 1.5;
  font-size: 0.875rem;
  background: url(./images/a44.jpg) center/cover no-repeat;
}
.btn-down {
  background: var(--clr-primary);
  color: var(--clr-white);
  font-size: 1rem;
  border-radius: 20px;
  padding: 0.5rem 2rem;
  display: inline-block;
  transition: var(--transition);
  border-color: transparent;
  cursor: pointer;
  font-family: var(--ff-primary);
}
.btn-down:hover {
  background: transparent;
  border: 2px var(--clr-primary) solid;
  color: var(--clr-primary);
}
.nav-btn {
  padding: 0.1rem 2rem;
}
ul {
  list-style-type: none;
}
a {
  color: black;
  text-decoration: none;
}
h1,
h2,
h3,
h4 {
  text-transform: capitalize;
  line-height: 1.25;
  margin-bottom: 0.75rem;
  font-weight: 400;
}
h1 {
  font-size: 3rem;
}
h2 {
  font-size: 2rem;
}
h3 {
  font-size: 1.25rem;
}
h4 {
  font-size: 0.875rem;
}
p {
  margin-bottom: 1.25rem;
}
@media screen and (min-width: 800px) {
  h1 {
    font-size: 4rem;
  }
  h2 {
    font-size: 2.5rem;
  }
  h3 {
    font-size: 1.75rem;
  }
  h4 {
    font-size: 1rem;
  }
  body {
    font-size: 1rem;
  }
  h1,
  h2,
  h3,
  h4 {
    line-height: 1;
  }
}
.img {
  width: 100%;
  display: block;
}
.text-slanted {
  font-family: var(--ff-primary);
}
.section-center {
  width: 90vw;
  max-width: var(--max-width);
  margin: 0 auto;
}
.section {
  padding: 5rem 0;
}
.btn {
  background: var(--clr-primary-5);
  color: var(--clr-white);
  border-radius: var(--radius);
  padding: 0.375rem 0.75rem;
  text-transform: uppercase;
  display: inline-block;
  transition: var(--transition);
  border-color: transparent;
  cursor: pointer;
}
.btn:hover {
  background: var(--clr-primary-7);
  width: 200px;
}
.logo {
  width: 200px;
}
img {
  width: 200px;
}
/* حدود للصورة */
.item-col-2 img {
  border-right: 10px var(--clr-primary) solid;
  border-bottom: 10px var(--clr-primary) solid;
  border-radius: 25px;
}
/*
=============== 
Navbar
===============
*/
/* عشان اخلي النافبار يكون معايا بكل الصفحه مهما نزلت وطلعت*/
.navbar {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  background: var(--clr-white);
  /* هون حطيته عشان النافبار كان يختفي ف بعض الاماكن ف لازم احطه  */
  z-index: 2;
}

.nav-center {
  width: 100%;
  max-width: 1170px;
  margin: 0 auto;
  align-items: center;
}
.nav-header {
  display: flex;
  justify-content: space-between;
  /* justify-content: space-evenly; */
  align-items: center;
  padding: 1rem 2rem;
}
.nav-toggle {
  background: transparent;
  border: transparent;
  font-size: 1.5rem;
  color: var(--clr-primary-5);
  cursor: pointer;
  transition: var(--transition);
}
.nav-toggle:hover {
  transform: scale(1.2);
}
.nav-link {
  display: block;
  padding: 1rem 2rem;
  transition: var(--transition);
  color: var(--clr-grey-1);
  cursor: pointer;
  font-size: 1.5rem;
}
.nav-link:hover {
  color: var(--clr-primary);
  padding-left: 2.25rem;
}
/* 280px */
.nav-links {
  /* هنا خليت الخط الي فوق مستطيل وصغير */
  height: 0;
  /* عشان ماتتدفق البيانات والروابط واخفيهم */
  overflow: hidden;
  transition: var(--transition);
}
.show-links {
  height: 350px;
}

@media screen and (min-width: 992px) {
  .navbar {
    padding: 1rem 2rem;
  }
  /* hide toggle button */
  .nav-toggle {
    display: none;
  }
  .nav-center {
    display: flex;
    /* justify-content: space-between; */
    justify-content: flex-start;
    align-items: center;
    flex-wrap: wrap;
    gap: 30px;
  }
  .nav-active {
    background-color: #fbf9f5;
    box-shadow: var(--dark-shadow);
  }
  .nav-links {
    height: auto;
    display: flex;
    gap: 20px;
  }
  .nav-header {
    padding: 0 0;
  }
  .nav-link {
    padding: 0 0;
    margin-right: 0.7rem;
  }
  .nav-link:hover {
    color: var(--clr-primary-5);
    background: transparent;
    padding: 0;
  }
  .nav-icons {
    /* عشان اظهر الايكونس مره ثانيه بعد ماخفيتها */
    display: flex;
  }
  .nav-icon {
    margin-right: 0.7rem;
    color: var(--clr-primary-5);
    font-size: 1.2rem;
    transition: var(--transition);
  }
  .nav-icon:hover {
    color: var(--clr-primary-8);
  }
}
/*
/*
=============== 
Hero
===============
*/
.hero {
  padding-top: 17rem;
  /* الحجم بين الهيرو وقسم الابوت */
  min-height: 100vh;
  background: url(./images/heroBG.jpg) center/cover no-repeat;
}
.img-hero {
  display: none;
}
.hero-banner {
  display: flex;
  justify-content: space-around;
  align-items: center;
}
.hero-banner h2 {
  margin-bottom: 1rem;
  font-size: 2rem;
  /* color: white; */
  color: var(--clr-primary);
}
.hero-banner h4 {
  margin-bottom: 2rem;
  font-size: 2rem;
  /* color: white; */
  color: black;
}
.hero-banner span {
  color: var(--clr-primary);
  font-size: 2rem;
}

.hero-btn {
  margin-top: 1rem;
  padding: 0.2rem 1rem;
  font-size: 1.5rem;
  color: var(--clr-black);
  background: transparent;
  border: var(--clr-primary) solid 2px;
  border-radius: 30px;
  font-family: var(--ff-primary);
}
.hero-btn:hover {
  background: transparent;
  color: white;
  border-color: var(--clr-primary);
  background: var(--clr-primary);
}
.hero-btn:hover span {
  color: white;
}
@media screen and (min-width: 600px) {
  .hero-banner {
    text-align: start;
    font-weight: 700;
  }
}
@media screen and (min-width: 992px) {
  .hero {
    display: flex;
    justify-content: center;
  }
  .img-hero {
    display: block;
    width: 500px;
  }
  .hero-banner {
    text-align: start;
    font-weight: 700;
  }
  .hero-banner h2 {
    font-size: 4rem;
  }
  .hero-banner p {
    max-width: 45rem;
  }
  .hero-btn {
    display: inline-block;
    padding: 0.5rem 1.5rem;
  }
}

/*
=============== 
ABOUT
===============
*/

.about {
  background: #fbf9f5;
  padding: 10rem 0;
}
.about-us {
  display: inline-block;
  margin-bottom: 1rem;
  height: 500px;
}
.about-box-p {
  height: 600px;
}
.about-us2 {
  margin-top: 3rem;
  height: 300px;
  width: 100%;
}
.about-us-p {
  height: 550px;
}
.arabic-text {
  line-height: normal;
}
@media screen and (min-width: 1170px) {
  .about-us {
    display: flex;
    justify-content: center;
    gap: 18px;
  }
  .about-us p {
    font-size: 1rem;
    padding-right: 1rem;
  }
  .about-us h3 {
    font-size: 1.5rem;
  }
  .short {
    width: 400px;
  }
  .about-box1 {
    box-shadow: var(--dark-shadow);
  }
  .about-box2 {
    box-shadow: var(--dark-shadow);
  }
  .about-box2 span {
    color: black;
  }
  .about-box1 span {
    color: black;
  }
  .big-box-img {
    border-radius: 40px;
    width: 450px;
    height: 30vw;
  }
  .img-box4 img {
    width: 180px;
    height: 180px;
  }

  .img-box3 img {
    width: 180px;
    height: 180px;
  }
}

.about-box1 {
  /* background: var(--clr-primary); */
  /* background: #967560; */
  border: 2px dashed var(--clr-primary);
  padding: 0.5rem 1rem;
  margin-bottom: 1rem;
  color: black;
  border-radius: 40px;
}
.about-box2 {
  /* background: #e4d6c8; */
  border: 2px dashed var(--clr-primary);
  padding: 0.5rem 1.5rem;
  margin-bottom: 1rem;
  color: black;
  border-radius: 40px;
}
.about-box2 span {
  color: black;
}
.about-box4 {
  display: flex;
  justify-content: start;
  align-items: center;
  padding: 2rem 0rem;
}
.down-box {
  padding: 3rem 1rem;
  border: dashed var(--clr-primary) 3px;
  border-radius: 40px;
  max-width: 450px;
}
.down-bg {
  background-color: #fbf9f5;
  padding: 2rem 0rem;
}
.about-box5 {
  margin-top: 2rem;
  display: flex;
  justify-content: center;
  align-items: center;
  border: 2px var(--clr-primary) dashed;
  border-radius: 40px;
  width: 90%;
  padding: 1rem;
}
.big-box-img {
  border-radius: 40px;
  width: 100%;
  height: 100%;
}
.about-box3 {
  position: relative;
}
.img-box3 {
  position: absolute;
  left: 0;
  top: -40px;
}
.img-box4 {
  position: absolute;
  right: 0;
  top: -40px;
}
.img-box4 img {
  width: 100px;
  height: 100px;
  border-radius: 50%;
}
.img4 {
  right: 75%;
}

.about-us span {
  display: inline-block;
  font-size: 2rem;
  color: var(--clr-primary);
  color: white;
  padding: 1rem 0.5rem;
}

/*
=============== 
SERVICES
===============
*/
.center-text {
  padding: 3rem 0;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 10px;
  color: var(--clr-primary);
  color: var(--clr-black);
}
.center-text span {
  color: var(--clr-primary);

  /* color: var(--clr-black); */
  font-size: 2rem;
}
@media (min-width: 768px) {
  .container-block {
    padding: 4% 8%;
  }
}

@media (max-width: 767px) {
  .container-block {
    padding: 11% 8%;
  }
}

.container-flexbox {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}

@media (min-width: 768px) {
  .item-col-2 {
    width: 47%;
  }
}
.item-col-2 img {
  width: 100%;
  box-shadow: var(--dark-shadow);
}
@media (max-width: 767px) {
  .item-col-2 {
    width: 100%;
  }
  .item-col-2 img {
    width: 100%;
  }
  .item-col-2:first-child {
    margin-bottom: 32px;
  }
  .item-col-2:last-child {
    margin-bottom: 0;
  }
}

@media (min-width: 768px) {
  .item-col-2.item-col-padding {
    padding: 1.8% 2% 2.2% 2%;
  }
  .reverse {
    flex-direction: row-reverse;
  }
}

@media (max-width: 767px) {
  .item-col-2.item-col-padding {
    padding: 6.5% 7% 7% 7%;
  }
}

.item-col-2 h3 {
  font-size: calc(32px + (48 - 32) * ((100vw - 320px) / (1600 - 320)));
  letter-spacing: -2px;
  margin-bottom: 6px;
}

.item-col-2 p {
  font-size: calc(18px + (22 - 18) * ((100vw - 320px) / (1600 - 320)));
}

@media (min-width: 768px) {
  .item-col-2 p {
    line-height: 1.6;
    margin-bottom: 20px;
  }
}

@media (max-width: 767px) {
  .item-col-2 p {
    line-height: 1.4;
    margin-bottom: 14px;
  }
}

.item-col-2 *:last-child {
  margin-bottom: 0;
}
.container-block {
  /* background: white; */
  background: url(./a44.jpg) center/cover no-repeat;
}

.service-info2 {
  display: flex;
  flex-direction: column;
  align-items: right;
  justify-content: center;
  gap: 12px;
}

.service-info2 h3 {
  color: var(--clr-primary);
  font-size: 2rem;
}

/*
=============== 
Clients
===============
*/
.clients {
  background: url(./images/a44.jpg) center/cover no-repeat;
  background: var(--clr-white);
}
.client-info {
  color: var(--clr-primary);
  text-align: center;
}
.client-imgs {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 20px;
}
.client-img {
  width: 200px;
}
/* Whats Icon */
.icon-watss {
  position: fixed;
  bottom: 0;
  right: 0;
  background: transparent;
  font-size: 4rem;
  z-index: 2;
  border: transparent;
  cursor: pointer;
}
.icon-watss span {
  color: rgb(17, 152, 17);
  margin-right: 0.5rem;
  margin-bottom: 1rem;
}

/* @media screen and (min-width: 662px) {
  .icon-watss {
    display: none;
  }
} */

/*
=============== 
Footer
===============
*/
.footer {
  background: url(./images/footerr.png) center/cover no-repeat;

  text-align: center;
}
.footer-links,
.footer-icons {
  display: flex;
  justify-content: center;
  margin-bottom: 1.5rem;
  flex-wrap: wrap;
}
.footer-link {
  color: var(--clr-white);
  text-transform: capitalize;
  font-size: 1rem;
  margin-right: 1rem;
  letter-spacing: var(--spacing);
  transition: var(--transition);
}
.footer-link:hover {
  color: var(--clr-primary-5);
}
.footer-icon {
  color: #f6e8cc;
  margin-right: 1rem;
  font-size: 1.5rem;
  transition: var(--transition);
}
.footer-icon:hover {
  color: #fce0a6;
}
.copyright {
  text-transform: capitalize;
  color: var(--clr-white);
  font-size: 1rem;
}
.wajez {
  letter-spacing: 0.5rem;
  color: var(--clr-primary-9);
}
.wajezz {
  color: var(--clr-primary-9);
}
